Subject: [Ecrit] Requirements Issue 39 - MA6

From: "Marc Linsner" <[email-masked]>
Date: Tue, 18 Apr 2006 14:47:06 -0400

In an effort to clear up the issue with that this requirement is too vague.

Current:

Ma6.  URL properties: The mapping protocol MUST support the ability to
provide additional information that allows the mapping client to determine
relevant properties of the URL.

Motivation: In some cases, the same geographic area is served by several
PSAPs, for example, a corporate campus might be served by both a corporate
security department and the municipal PSAP.  The mapping protocol should
then return URLs for both, with information allowing the querying entity to
choose one or the other.  This determination could be made by either an
ESRP, based on local policy, or by direct user choice, in the case of
caller-based methods.

Proposed:

MA6 - URL properties: The mapping protocol MUST support the ability to
provide ancillary information about a contact or URI that allows the mapping
client to determine relevant properties of the URL.

Motivation: In some cases, the same geographic area is served by several
PSAPs, for example, a corporate campus might be served by both a corporate
security department and the municipal PSAP.  The mapping protocol should
then return URLs for both, with information allowing the querying entity to
choose one or the other.  This determination could be made by either an
ESRP, based on local policy, or by direct user choice, in the case of
caller-based methods.

Comments?

-Marc-

_______________________________________________
Ecrit mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ecrit

---

From: "Roger Marshall" <[email-masked]>
Date: Tue, 18 Apr 2006 13:01:15 -0700

Marc:
I like the wording.  I plan to add this as written to the next
requirements version. 

Thanks.

Roger. 

>-----Original Message-----
>From: Marc Linsner [mailto:[email-masked]] 
>Sent: Tuesday, April 18, 2006 11:47 AM
>To: [email-masked]
>Subject: [Ecrit] Requirements Issue 39 - MA6
>
>Ma6.  URL properties: The mapping protocol MUST support the 
>ability to provide additional information that allows the 
>mapping client to determine relevant properties of the URL.
>
>Motivation: In some cases, the same geographic area is served 
>by several PSAPs, for example, a corporate campus might be 
>served by both a corporate security department and the 
>municipal PSAP.  The mapping protocol should then return URLs 
>for both, with information allowing the querying entity to 
>choose one or the other.  This determination could be made by 
>either an ESRP, based on local policy, or by direct user 
>choice, in the case of caller-based methods.
>
>Proposed:
>
>MA6 - URL properties: The mapping protocol MUST support the 
>ability to provide ancillary information about a contact or 
>URI that allows the mapping client to determine relevant 
>properties of the URL.
>
>Motivation: In some cases, the same geographic area is served 
>by several PSAPs, for example, a corporate campus might be 
>served by both a corporate security department and the 
>municipal PSAP.  The mapping protocol should then return URLs 
>for both, with information allowing the querying entity to 
>choose one or the other.  This determination could be made by 
>either an ESRP, based on local policy, or by direct user 
>choice, in the case of caller-based methods.
>
>
>
>Comments?
>
>
>-Marc-
>